Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1481572 - SELinux is preventing sealert from 'map' accesses on the file /var/lib/rpm/__db.001.
Summary: SELinux is preventing sealert from 'map' accesses on the file /var/lib/rpm/__...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:36842d8a781a8800ee603f0c2df...
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-08-15 05:38 UTC by Adam Williamson
Modified: 2018-02-20 11:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 11:24:08 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-08-15 05:38:57 UTC
Description of problem:
Happened in normal system use after the 'map' permission was introduced.
SELinux is preventing sealert from 'map' accesses on the file /var/lib/rpm/__db.001.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sealert should be allowed map access on the __db.001 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'sealert' --raw | audit2allow -M my-sealert
# semodule -X 300 -i my-sealert.pp

Additional Information:
Source Context                system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.
                              c1023
Target Context                system_u:object_r:rpm_var_lib_t:s0
Target Objects                /var/lib/rpm/__db.001 [ file ]
Source                        sealert
Source Path                   sealert
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           rpm-4.13.90-0.git14002.2.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-270.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-08-14 16:38:24 PDT
Last Seen                     2017-08-14 22:34:01 PDT
Local ID                      115d4464-5d7c-497e-9087-71a4ca769833

Raw Audit Messages
type=AVC msg=audit(1502775241.387:714): avc:  denied  { map } for  pid=16696 comm="sealert" path="/var/lib/rpm/__db.001" dev="dm-2" ino=6535 scontext=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:rpm_var_lib_t:s0 tclass=file permissive=1


Hash: sealert,setroubleshoot_fixit_t,rpm_var_lib_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport


Note You need to log in before you can comment on or make changes to this bug.